# $Revision: 1.30 $, $Date: 2012/01/14 18:01:00 $
#
# Conditional build:
%bcond_with	tests	# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
Summary:	OpenGL - Perl module to display 3D data using OpenGL, GLU, GLUT, and GLX
Summary(pl.UTF-8):	OpenGL - moduł Perla przedstawiający dane korzystając z bibliotek OpenGL, GLU, GLUT i GLX
Name:		perl-OpenGL
Version:	0.66
Release:	1
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://search.cpan.org/CPAN/authors/id/C/CH/CHM/OpenGL-%{version}.tar.gz
# Source0-md5:	bdfbffb31f03acbfb6d0123ceb159436
Patch0:		%{name}-build.patch
URL:		http://search.cpan.org/dist/OpenGL/
BuildRequires:	OpenGL-devel
BuildRequires:	freeglut-devel
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This module provides access to most of the OpenGL 1.0, 1.1, and 1.2
APIs. Some amount of GLU is supported (I'm not quite sure what version
it works out to), and GLUT should be completely supported up to API
version 3. A small portion of GLX and X11 is supported, as an
alternative to GLUT.

%description -l pl.UTF-8
Ten moduł daje dostęp do większości API OpenGL 1.0, 1.1 i 1.2.
Udostępnia też część GLU (w bliżej nieokreślonej wersji) oraz
powinien udostępniać pełne API GLUT do wersji 3. Jako alternatywa
dla GLUT jest dostępna także niewielka część API GLX i X11.

%prep
%setup -q -n OpenGL-%{version}
%patch0 -p1

%build
%{__perl} Makefile.PL \
	interface=FREEGLUT \
	INSTALLDIRS=vendor

%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}
cp examples/* $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}/

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README SUPPORTS TODO COPYRIGHT
%{perl_vendorarch}/OpenGL.pm
%dir %{perl_vendorarch}/OpenGL
%{perl_vendorarch}/OpenGL/Config.pm
%dir %{perl_vendorarch}/auto/OpenGL
%{perl_vendorarch}/auto/OpenGL/autosplit.ix
%{perl_vendorarch}/auto/OpenGL/*.bs
%attr(755,root,root) %{perl_vendorarch}/auto/OpenGL/*.so
%dir %{_examplesdir}/%{name}-%{version}
%{_mandir}/man3/*.3pm*
%{_examplesdir}/%{name}-%{version}/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-OpenGL.spec,v $
Revision 1.30  2012/01/14 18:01:00  zbyniu
- up to 0.66

Revision 1.29  2011/10/11 15:15:18  lisu
- rel 4

Revision 1.28  2010/11/12 23:38:07  pawelz
- release 3

Revision 1.27  2010/07/29 10:12:32  baggins
- rel 2
- package man page

Revision 1.26  2010/07/29 10:02:50  baggins
- working source url

Revision 1.25  2010/07/29 09:53:38  baggins
- updated to 0.63
- requires freeglut-devel explicitly

Revision 1.24  2010/06/06 08:40:41  arekm
- release 8

Revision 1.23  2008/12/24 10:42:39  megabajt
- require virtual OpenGL-glut-devel to build (glut-devel or freeglut-devel can be used)
- release 7

Revision 1.22  2008/10/27 08:39:27  hawk
- disable tests (they require DISPLAY), release 6

Revision 1.21  2008-02-15 22:04:45  agaran
- rel 5.2, now examples go to /usr/src/examples/%{name}-%{version}
- builds and works here (at least tests do job here)
- maybe disable tests by defaults as they require working DISPLAY?

Revision 1.20  2007-02-13 07:47:13  glen
- tabs in preamble

Revision 1.19  2007/02/12 00:49:43  baggins
- converted to UTF-8

Revision 1.18  2004/08/12 17:58:56  radek
- added -if_it_breaks_comment_it_out.patch, but still doesn't work

Revision 1.17  2004/05/07 01:22:54  ankry
- rel. 5

Revision 1.16  2004/05/06 18:20:50  ankry
- fixed perl-devel BR

Revision 1.15  2004/04/27 14:11:48  ankry
- cosmetics

Revision 1.14  2004/04/25 06:21:52  ankry
- tests added

Revision 1.12  2004/04/15 05:47:56  ankry
- some summary, description and license fixes

Revision 1.11  2003/09/09 10:24:44  ankry
- spaces -> tab

Revision 1.10  2003/08/18 08:09:06  gotar
- mass commit: cosmetics (removed trailing white spaces)

Revision 1.9  2003/05/28 13:00:56  malekith
- massive attack: source-md5

Revision 1.8  2003/05/25 06:24:52  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.7  2003/03/01 20:22:18  radek
- should be ready for perl-5.8.0; release++

Revision 1.6  2003/02/25 00:41:03  radek
- use the __perl macro

Revision 1.5  2003/02/18 15:37:32  ankry
- massive attack: change CPAN URLs

Revision 1.4  2002/08/03 17:58:15  qboosh
- fixed perms, added link patch to link only with used libs
  (removed BR: XFree86-XIE-devel - libXIE is not used at all)
- release 3

Revision 1.3  2002/07/14 08:55:42  ankry
- BR: XFree86-XIE-devel
- release 2

Revision 1.2  2002/05/25 11:12:37  qboosh
- pl description

Revision 1.1  2002/05/24 08:17:37  jajcus
- new spec
